Name:           perl-Object-Accessor
Version:        0.32
Release:        1.ru
Summary:        Perl module that allows per object accessors
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Object-Accessor/
Source0:        http://www.cpan.org/authors/id/K/KA/KANE/Object-Accessor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Params::Check) >= 0.23
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Object::Accessor provides an interface to create per object accessors (as
opposed to per Class accessors, as, for example, Class::Accessor provides).

%prep
%setup -q -n Object-Accessor-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 03 2011 Russell Frank <rfranknj@nbcs.rutgers.edu> 0.32-1.ru
- First build for Rutgers

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 0.32-3
- Adjust License-tag.
- BR: perl(Test::More) (BZ 419631).

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.32-2
- BR ExtUtils::MakeMaker.

* Tue Oct 17 2006 Steven Pritchard <steve@kspei.com> 0.32-1
- Update to 0.32.
- Use fixperms macro instead of our own chmod incantation.

* Thu Sep 21 2006 Steven Pritchard <steve@kspei.com> 0.30-1
- Update to 0.30.

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.21-2
- Rebuild.

* Mon Aug 14 2006 Steven Pritchard <steve@kspei.com> 0.21-1
- Update to 0.21.
- Fix find option order.
- Add CHANGES to docs.

* Mon Jul 03 2006 Steven Pritchard <steve@kspei.com> 0.20-1
- Update to 0.20.

* Sat Apr 15 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Remove explicit perl(Params::Check) dependency.

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Specfile autogenerated by cpanspec 1.62.
- Fix Summary.
- Fix License.
